package net.cattaka.listviewtest;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;

public class ListViewTest extends Activity {
	private static final String[] VALUES = new String[] {
		"AAA", "BBB", "CCC", "DDD", "EEE", "FFF", "GGG",
	};
	
	class ListAdapterEx extends ArrayAdapter<String> {

		public ListAdapterEx(Context context, String[] objects) {
			super(context, R.layout.line, objects);
		}
		@Override
		public View getView(int position, View convertView, ViewGroup parent) {
			if (convertView == null) {
				LayoutInflater inflater = LayoutInflater.from(getContext());
				convertView = inflater.inflate(R.layout.line, null);
			}
			String value = getItem(position);
			((TextView)convertView.findViewById(R.id.TextView01)).setText(value);
			
			return convertView;
		}
	}
	
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		
		ListView lv = (ListView) findViewById(R.id.ListView01);
		
		// カスタムViewを使う場合
		lv.setAdapter(new ListAdapterEx(this, VALUES));
		
		// CheckedTextViewを使う場合
		//lv.setAdapter(new ArrayAdapter<String>(this, R.layout.line2, VALUES));
	}
}